<br>
<div class="container">
    <div class="d-flex justify-content-center h-100">
        <div class="card bg-dark">
            <div class="card-header">
              <img src="assets/logo.jpg" class="rounded mx-auto d-block" width="150px">
                  <h3 class="text-light col-md-12 text-center">Inicio de sesión</h3>
                  <h5 class="text-light col-md-12 text-center">Bienvenido a la plataforma de RADAC</h5>
                    <div class="card-body">
                        <div *ngIf="!datosCorrectos" class="alert alert-danger" role="alert">
                            {{textoError}}
                        </div>

                          <form [formGroup]="formularioLogin">
                            <div class="mb-3">
                              <label for="exampleInputEmail1" class="form- text-light">Correo electrónico</label>
                              <input type="email" class="form-control" formControlName="email" aria-describedby="emailHelp">
                                <div *ngIf="formularioLogin.controls['email'].invalid && formularioLogin.controls['email'].dirty" class="alert alert-danger" role="alert" placeholder="ejemplo@email.com">
                                  <span *ngIf="formularioLogin.controls['email'].errors.required" >Correo es campo obligatorio</span>
                                  <span *ngIf="formularioLogin.controls['email'].errors.email" >Correo no valido</span>
                                </div>
                            </div>
                            <div class="mb-3">
                              <label for="exampleInputPassword1" class="form-label text-light">Contraseña</label>
                              <input type="password" (keyUp.enter)="ingresar()" class="form-control" formControlName="password">
                              <div *ngIf="formularioLogin.controls['password'].invalid && formularioLogin.controls['password'].dirty" class="alert alert-danger" role="alert" placeholder="************">
                                  <span *ngIf="formularioLogin.controls['password'].errors.required" >Contraseña necesaria</span>
                                  <span *ngIf="formularioLogin.controls['password'].errors.password" >Revise bien su contraseña</span>
                                </div>
                            </div>
                            <br>
                          <button type="submit" (click)="ingresar()" [disabled]="!formularioLogin.valid" class="btn btn-primary btn-block">Iniciar sesión</button>
                        </form>
                  </div>
            </div>
        </div>
    </div>
</div>

<ngx-spinner bdColor="rgba(0,5,255,0.8)" size="medium" color="#fff" type="triangle-skew-spin" [fullScreen]="true"><p style="color: white" > Cargando </p></ngx-spinner>
